Bug 326750 - Digikam sometimes crashes when tagging recogniced faces with names.
Summary: Digikam sometimes crashes when tagging recogniced faces with names.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-27 16:45 UTC by aj_
Modified: 2019-12-23 06:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments
New crash information added by DrKonqi (11.74 KB, text/plain)
2013-10-29 16:28 UTC, aj_
Details
New crash information added by DrKonqi (12.49 KB, text/plain)
2013-10-30 17:27 UTC, aj_
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aj_ 2013-10-27 16:45:47 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.11.0-13-generic i686
Distribution: Ubuntu 13.10

-- Information about the crash:
Digikam sometimes crashes when tagging recogniced faces with names.

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xad566900 (LWP 2837))]

Thread 8 (Thread 0xad53db40 (LWP 2842)):
#0  0xb774a424 in __kernel_vsyscall ()
#1  0xb4aa8a0b in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xadbcb392 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb3243d78 in start_thread (arg=0xad53db40) at pthread_create.c:311
#4  0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 7 (Thread 0xaafb7b40 (LWP 2843)):
#0  0xb774a424 in __kernel_vsyscall ()
#1  0xb4aa68db in read () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2e67d4e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e2565b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e25afa in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e2604b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xadd3e32a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#7  0xb2e4bc4a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb3243d78 in start_thread (arg=0xaafb7b40) at pthread_create.c:311
#9  0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 6 (Thread 0xaa525b40 (LWP 2844)):
#0  0xb3245de3 in __GI___pthread_mutex_lock (mutex=0x89c2840) at pthread_mutex_lock.c:95
#1  0xb4ac5bc4 in pthread_mutex_lock (mutex=0x89c2840) at forward.c:192
#2  0xb2e68bb0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e25b44 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e25ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2e25d2e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb2e4bc4a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb3243d78 in start_thread (arg=0xaa525b40) at pthread_create.c:311
#8  0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 5 (Thread 0xa9bffb40 (LWP 2848)):
#0  0xb774a424 in __kernel_vsyscall ()
#1  0xb324784b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4ac59bc in __pthread_cond_wait (cond=0x8ab99d0, mutex=0x8ab99b8) at forward.c:149
#3  0xb4da7ca5 in wait (time=4294967295, this=0x8ab99b8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8ab992c, mutex=mutex@entry=0x8ab9928, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820d9c4 in Digikam::ScanController::run (this=0x8a9e8b0) at /build/buildd/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4da772f in QThreadPrivate::start (arg=0x8a9e8b0) at thread/qthread_unix.cpp:338
#7  0xb3243d78 in start_thread (arg=0xa9bffb40) at pthread_create.c:311
#8  0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 4 (Thread 0xa7ebbb40 (LWP 2849)):
#0  0xb2e6886e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2e68ba8 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e25c91 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4ee68df in QEventDispatcherGlib::processEvents (this=0xa9203f38, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0xb4eb59f3 in QEventLoop::processEvents (this=this@entry=0xa7ebb068, flags=...) at kernel/qeventloop.cpp:149
#5  0xb4eb5d19 in QEventLoop::exec (this=this@entry=0xa7ebb068, flags=...) at kernel/qeventloop.cpp:204
#6  0xb4da4e3d in QThread::exec (this=this@entry=0x8abdcc8) at thread/qthread.cpp:542
#7  0xb4e95e14 in QInotifyFileSystemWatcherEngine::run (this=0x8abdcc8) at io/qfilesystemwatcher_inotify.cpp:265
#8  0xb4da772f in QThreadPrivate::start (arg=0x8abdcc8) at thread/qthread_unix.cpp:338
#9  0xb3243d78 in start_thread (arg=0xa7ebbb40) at pthread_create.c:311
#10 0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 3 (Thread 0x9bedfb40 (LWP 3014)):
[KCrash Handler]
#7  0xb774a424 in __kernel_vsyscall ()
#8  0xb49f4aff in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#9  0xb49f8083 in __GI_abort () at abort.c:90
#10 0xb4c26605 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#11 0xb4c24273 in ?? () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#12 0xb4c242af in std::terminate() () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#13 0xb4c24565 in __cxa_rethrow () from /usr/lib/i386-linux-gnu/libstdc++.so.6
#14 0xb4d9a7c5 in QThreadPoolThread::run (this=0x9cd6878) at concurrent/qthreadpool.cpp:114
#15 0xb4da772f in QThreadPrivate::start (arg=0x9cd6878) at thread/qthread_unix.cpp:338
#16 0xb3243d78 in start_thread (arg=0x9bedfb40) at pthread_create.c:311
#17 0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 2 (Thread 0x9b6deb40 (LWP 3016)):
#0  0xb2e6886e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2e68be8 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2e2512e in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2e25a5f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2e25ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4ee68df in QEventDispatcherGlib::processEvents (this=0xb2d9598, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4eb59f3 in QEventLoop::processEvents (this=this@entry=0x9b6de068, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4eb5d19 in QEventLoop::exec (this=this@entry=0x9b6de068, flags=...) at kernel/qeventloop.cpp:204
#8  0xb69b3322 in Digikam::WorkerObjectRunnable::run (this=0xbd9aae0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4d9a63a in QThreadPoolThread::run (this=0x9cd65e0) at concurrent/qthreadpool.cpp:107
#10 0xb4da772f in QThreadPrivate::start (arg=0x9cd65e0) at thread/qthread_unix.cpp:338
#11 0xb3243d78 in start_thread (arg=0x9b6deb40) at pthread_create.c:311
#12 0xb4ab801e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:131

Thread 1 (Thread 0xad566900 (LWP 2837)):
#0  0xb774a424 in __kernel_vsyscall ()
#1  0xb324784b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4ac59bc in __pthread_cond_wait (cond=0x8cb26c8, mutex=0x8cb26b0) at forward.c:149
#3  0xb4da7ca5 in wait (time=4294967295, this=0x8cb26b0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8d29b80, mutex=mutex@entry=0x8d29b6c, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4d9a04f in QThreadPoolPrivate::waitForDone (this=0x8d29b20, msecs=msecs@entry=-1) at concurrent/qthreadpool.cpp:298
#6  0xb4d9b3e3 in QThreadPool::~QThreadPool (this=0x8d28cf0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:440
#7  0xb4d9b42c in QThreadPool::~QThreadPool (this=0x8d28cf0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:442
#8  0xb4ecea6a in QObjectPrivate::deleteChildren (this=this@entry=0x8d2a610) at kernel/qobject.cpp:1907
#9  0xb4ed1018 in QObject::~QObject (this=0x8d2a600, __in_chrg=<optimized out>) at kernel/qobject.cpp:926
#10 0xb69b29d2 in Digikam::ThreadManager::~ThreadManager (this=0x8d2a600, __in_chrg=<optimized out>) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:257
#11 0xb69b2a43 in ~ThreadManagerCreator (this=0x8d2a600, __in_chrg=<optimized out>) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:236
#12 destroy () at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:241
#13 0xb67a8359 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0xb6be078c <_ZZN7Digikam5._157ptEvE13cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#14 0xb49f9791 in __run_exit_handlers (status=status@entry=1, listp=0xb4b763e4 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#15 0xb49f981d in __GI_exit (status=1) at exit.c:99
#16 0xafa9f7e3 in ?? () from /usr/lib/i386-linux-gnu/libgdk-x11-2.0.so.0
#17 0xb5f5e9f9 in KApplication::xioErrhandler (this=0xbff0e0d8, dpy=dpy@entry=0x88c12d0) at ../../kdeui/kernel/kapplication.cpp:419
#18 0xb5f5eab4 in kde_xio_errhandler (dpy=0x88c12d0) at ../../kdeui/kernel/kapplication.cpp:126
#19 0xb45bfb24 in _XIOError () from /usr/lib/i386-linux-gnu/libX11.so.6
#20 0xb45bd29f in _XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#21 0xb45ae530 in XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#22 0xb54c6d48 in x11EventSourcePrepare (s=0x889c448, timeout=0xbff0dd5c) at kernel/qguieventdispatcher_glib.cpp:77
#23 0xb2e25143 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#24 0xb2e25a5f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#25 0xb2e25ca8 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#26 0xb4ee68bf in QEventDispatcherGlib::processEvents (this=this@entry=0x8817010, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#27 0xb54c732e in QGuiEventDispatcherGlib::processEvents (this=0x8817010, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#28 0xb4eb59f3 in QEventLoop::processEvents (this=this@entry=0xbff0df08, flags=...) at kernel/qeventloop.cpp:149
#29 0xb4eb5d19 in QEventLoop::exec (this=this@entry=0xbff0df08, flags=...) at kernel/qeventloop.cpp:204
#30 0xb4ebb89e in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#31 0xb5410974 in QApplication::exec () at kernel/qapplication.cpp:3828
#32 0x080bc0b0 in main (argc=5, argv=0xbff0e214) at /build/buildd/digikam-3.4.0/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 326586, bug 326570.

Possible duplicates by query: bug 326586, bug 326570, bug 323823, bug 320253, bug 318640.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-10-28 07:14:53 UTC
Backtrace is uncomplete. Debug symbols are missing.

Please follow instruction here and try again :

http://www.digikam.org/contrib

Gilles Caulier
Comment 2 aj_ 2013-10-29 16:28:16 UTC
Created attachment 83205 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.2 using Qt 4.8.4

I added and corected the recogniced names of the face recognition.

-- Backtrace (Reduced):
#7  QVariant::~QVariant (this=0x88, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#8  0xb665f8e9 in node_destruct (this=<optimized out>, n=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#9  erase (alast=..., afirst=..., this=0x977728c) at /usr/include/qt4/QtCore/qlist.h:811
#10 Digikam::ImageModel::removeRowPairs (this=this@entry=0x9777200, toRemove=...) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#11 0xb6660ce8 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x9777200) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
Comment 3 aj_ 2013-10-29 16:33:41 UTC
Thats what I got using the: "valgrind --tool=memcheck --leak-check=full --error-limit=no digikam" command in the terminal. The error in digikam was the same like always but digikam was reacting very slow over the whole time. This is the content from the terminal after the cresh. Dosn't seem very helpfull to me but maybe it is for someone else. 

.....
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353==    by 0x5396A74: KIO::Connection::readyRead() (connection.moc:106)
==6353== 
==6353== Invalid read of size 1
==6353==    at 0x68F0213: QVariant::~QVariant() (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353==    by 0x5396A74: KIO::Connection::readyRead() (connection.moc:106)
==6353==  Address 0x2d653640 is not stack'd, malloc'd or (recently) free'd
==6353== 
==6353== Use of uninitialised value of size 4
==6353==    at 0x68F0219: QVariant::~QVariant() (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353==    by 0x5396A74: KIO::Connection::readyRead() (connection.moc:106)
==6353== 
==6353== Invalid read of size 4
==6353==    at 0x68F0219: QVariant::~QVariant() (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353==    by 0x5396A74: KIO::Connection::readyRead() (connection.moc:106)
==6353==  Address 0x2d65363d is not stack'd, malloc'd or (recently) free'd
==6353== 
==6353== Conditional jump or move depends on uninitialised value(s)
==6353==    at 0x402B05B: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x51FB8F0: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353== 
==6353== Invalid free() / delete / delete[] / realloc()
==6353==    at 0x402B098: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x51FB8F0: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==    by 0x546D42B: KIO::Slave::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (slave.moc:57)
==6353==  Address 0x2d653635 is not stack'd, malloc'd or (recently) free'd
==6353== 
==6353== Invalid read of size 4
==6353==    at 0x402F062: memmove (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67DDD71: QListData::remove(int, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FB947: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==  Address 0x1f0b3c10 is 0 bytes after a block of size 8,192 alloc'd
==6353==    at 0x40299D8: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67B746A: qMalloc(unsigned int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x67DD75A: QListData::detach(int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x512F714: QList<QVariant>::detach_helper(int) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353== 
==6353== Invalid write of size 4
==6353==    at 0x402F05A: memmove (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67DDD71: QListData::remove(int, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FB947: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==  Address 0x1f0b3c10 is 0 bytes after a block of size 8,192 alloc'd
==6353==    at 0x40299D8: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67B746A: qMalloc(unsigned int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x67DD75A: QListData::detach(int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x512F714: QList<QVariant>::detach_helper(int) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353== 
==6353== Invalid read of size 4
==6353==    at 0x402F058: memmove (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67DDD71: QListData::remove(int, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FB947: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353==    by 0x546D27F: KIO::Slave::gotInput() (slave.cpp:344)
==6353==  Address 0x1f0b3c18 is 8 bytes after a block of size 8,192 alloc'd
==6353==    at 0x40299D8: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x67B746A: qMalloc(unsigned int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x67DD75A: QListData::detach(int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x512F714: QList<QVariant>::detach_helper(int) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==    by 0x547AE94: KIO::SlaveInterface::finished() (slaveinterface.moc:185)
==6353==    by 0x5479C5D: KIO::SlaveInterface::dispatch() (slaveinterface.cpp:92)
==6353== 
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
==6353== Invalid read of size 4
==6353==    at 0x581C05F: startFromKdeinit(int, char const**) (kcrash.cpp:780)
==6353==    by 0x581CA40: KCrash::startProcess(int, char const**, bool) (kcrash.cpp:537)
==6353==    by 0x581D5D2: KCrash::defaultCrashHandler(int) (kcrash.cpp:435)
==6353==    by 0x6C31BA7: ??? (in /lib/i386-linux-gnu/libc-2.17.so)
==6353==    by 0x67DDD71: QListData::remove(int, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FB947: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353==    by 0x53D0ECF: KIO::TransferJob::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.72] (jobclasses.moc:388)
==6353==  Address 0x186754c0 is 0 bytes inside a block of size 3 alloc'd
==6353==    at 0x40299D8: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x581BFE6: startFromKdeinit(int, char const**) (kcrash.cpp:659)
==6353==    by 0x581CA40: KCrash::startProcess(int, char const**, bool) (kcrash.cpp:537)
==6353==    by 0x581D5D2: KCrash::defaultCrashHandler(int) (kcrash.cpp:435)
==6353==    by 0x6C31BA7: ??? (in /lib/i386-linux-gnu/libc-2.17.so)
==6353==    by 0x67DDD71: QListData::remove(int, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x51FB947: Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x51FCCE7: Digikam::ImageModel::finishIncrementalRefresh() (in /usr/lib/digikam/libdigikamdatabase.so.3.0.0)
==6353==    by 0x81A7E16: Digikam::ImageAlbumModel::slotResult(KJob*) (in /usr/bin/digikam)
==6353==    by 0x81A8D00: Digikam::ImageAlbumModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.20] (in /usr/bin/digikam)
==6353==    by 0x65AA9E4: KJob::result(KJob*) (kjob.moc:208)
==6353==    by 0x53D0335: KIO::TransferJob::slotFinished() (job.cpp:1099)
==6353== 
sock_file=/home/user/.kde/socket-RECHNER/kdeinit4__0

valgrind: m_mallocfree.c:268 (mk_plain_bszB): Assertion 'bszB != 0' failed.
valgrind: This is probably caused by your program erroneously writing past the
end of a heap block and corrupting heap metadata.  If you fix any
invalid writes reported by Memcheck, this assertion failure will
probably go away.  Please try that before reporting this as a bug.

==6353==    at 0x38055CA3: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x38055DB2: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x38061816: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x38063FAC: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x3809F4A6: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x3802C27C: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x3802C95A: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x3802CC05: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x380A2270: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x380B3747: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x380B3BB0: ??? (in /usr/lib/valgrind/memcheck-x86-linux)
==6353==    by 0x380D5578: ??? (in /usr/lib/valgrind/memcheck-x86-linux)

sched status:
  running_tid=12

Thread 1: status = VgTs_WaitSys
==6353==    at 0x6CBD766: ??? (syscall-template.S:81)

Thread 2: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x68FD8BE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68CC9F2: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x2CA8F067: ???

Thread 3: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x967904A: g_main_loop_run (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 4: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 5: status = VgTs_WaitSys
==6353==    at 0x92D284B: pthread_cond_wait@@GLIBC_2.3.2 (pthread_cond_wait.S:188)
==6353==    by 0x6D029BB: pthread_cond_wait@@GLIBC_2.3.2 (forward.c:149)
==6353==    by 0x67BE72E: QThreadPrivate::start(void*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x92CED77: start_thread (pthread_create.c:311)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 6: status = VgTs_WaitSys
==6353==    at 0x92D284B: pthread_cond_wait@@GLIBC_2.3.2 (pthread_cond_wait.S:188)
==6353==    by 0x6D029BB: pthread_cond_wait@@GLIBC_2.3.2 (forward.c:149)
==6353==    by 0x67BECA4: QWaitCondition::wait(QMutex*, unsigned long) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x4E9BD53: Digikam::ParkingThread::run() (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x67BE72E: QThreadPrivate::start(void*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x92CED77: start_thread (pthread_create.c:311)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 7: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x68FD8DE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68CC9F2: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)

Thread 8: status = VgTs_Yielding
==6353==    at 0x7E94608: ??? (in /usr/lib/i386-linux-gnu/liblcms2.so.2.0.5)
==6353==    by 0x7E95488: cmsDoTransform (in /usr/lib/i386-linux-gnu/liblcms2.so.2.0.5)
==6353==    by 0x6A39FFF: ??? (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)

Thread 9: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x68FD8BE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68CC9F2: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x2327E067: ???

Thread 10: status = VgTs_WaitSys
==6353==    at 0x6CE5A0B: ??? (syscall-template.S:81)
==6353==    by 0x9687A4A: g_poll (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678B67: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x68FD8BE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68CC9F2: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x26284067: ???

Thread 11: status = VgTs_WaitSys
==6353==    at 0x6CEFFB7: syscall (syscall.S:30)
==6353==    by 0x9D542EF: ??? (in /usr/lib/libtbb.so.2)
==6353==    by 0x9D5431C: ??? (in /usr/lib/libtbb.so.2)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 12: status = VgTs_Runnable
==6353==    at 0x4029F34: operator new(unsigned int) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==6353==    by 0x5BF7491: QImageData::create(QSize const&, QImage::Format, int) (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x5BF7693: QImage::QImage(int, int, QImage::Format) (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x5BFC131: smoothScaled(QImage const&, int, int) (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x5BFF1A5: QImage::transformed(QTransform const&, Qt::TransformationMode) const (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x5C00482: QImage::scaled(QSize const&, Qt::AspectRatioMode, Qt::TransformationMode) const (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x4E83E86: Digikam::ThumbnailCreator::scaleForStorage(QImage const&) const (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E84CB3: Digikam::ThumbnailCreator::createThumbnail(Digikam::ThumbnailInfo const&, QRect const&) const (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E87E66: Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E88936: Digikam::ThumbnailCreator::pregenerate(QString const&) const (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E97014: Digikam::ThumbnailLoadingTask::execute() (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E6D757: Digikam::LoadSaveThread::run() (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x4E9DFBD: Digikam::DynamicThread::DynamicThreadPriv::run() (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x67B1639: QThreadPoolThread::run() (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x67BE72E: QThreadPrivate::start(void*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x92CED77: start_thread (pthread_create.c:311)
==6353==    by 0x6CF501D: clone (clone.S:131)

Thread 13: status = VgTs_Yielding
==6353==    at 0x76E31D0: cv::compareHist(cv::_InputArray const&, cv::_InputArray const&, int) (in /usr/lib/libopencv_imgproc.so.2.4.5)
==6353==    by 0x73915CB: cv::LBPH::predict(cv::_InputArray const&, int&, double&) const (in /usr/lib/libopencv_contrib.so.2.4.5)
==6353==    by 0x4937FC8: ??? (in /usr/lib/libkface.so.2.0.0)
==6353==    by 0x494FD09: KFaceIface::RecognitionDatabase::recognizeFaces(KFaceIface::ImageListProvider*) (in /usr/lib/libkface.so.2.0.0)
==6353==    by 0x49500DE: KFaceIface::RecognitionDatabase::recognizeFaces(QList<QImage> const&) (in /usr/lib/libkface.so.2.0.0)
==6353==    by 0x8312863: Digikam::RecognitionWorker::process(QExplicitlySharedDataPointer<Digikam::FacePipelineExtendedPackage>) (in /usr/bin/digikam)
==6353==    by 0x8312AAB: Digikam::RecognitionWorker::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (in /usr/bin/digikam)
==6353==    by 0x4E9CD3B: Digikam::WorkerObject::event(QEvent*) (in /usr/lib/digikam/libdigikamcore.so.3.0.0)
==6353==    by 0x5B2B743: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x5B32222: QApplication::notify(QObject*, QEvent*) (in /usr/lib/i386-linux-gnu/libQtGui.so.4.8.4)
==6353==    by 0x57B3FF3: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:311)
==6353==    by 0x68CDED9: QCoreApplication::notifyInternal(QObject*, QEvent*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68D16AC: QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68D1BBB: QCoreApplication::sendPostedEvents(QObject*, int) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68FDF6D: postEventSourceDispatch(_GSource*, int (*)(void*), void*) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x967883D: g_main_context_dispatch (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678BE7: ??? (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x9678CA7: g_main_context_iteration (in /lib/i386-linux-gnu/libglib-2.0.so.0.3800.1)
==6353==    by 0x68FD8BE: QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x68CC9F2: QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (in /usr/lib/i386-linux-gnu/libQtCore.so.4.8.4)
==6353==    by 0x3B68B067: ???

Thread 14: status = VgTs_WaitSys
==6353==    at 0x92D2C33: pthread_cond_timedwait@@GLIBC_2.3.2 (pthread_cond_timedwait.S:251)
==6353==    by 0x1FA12EE7: ???

Thread 15: status = VgTs_WaitSys
==6353==    at 0x92D2C33: pthread_cond_timedwait@@GLIBC_2.3.2 (pthread_cond_timedwait.S:251)
==6353==    by 0x3B5DF7AF: ???

Thread 16: status = VgTs_WaitSys
==6353==    at 0x92D2C33: pthread_cond_timedwait@@GLIBC_2.3.2 (pthread_cond_timedwait.S:251)
==6353==    by 0x2A59378F: ???


Note: see also the FAQ in the source distribution.
It contains workarounds to several common problems.
In particular, if Valgrind aborted or crashed after
identifying problems in your program, there's a good chance
that fixing those problems will prevent Valgrind aborting or
crashing, especially if it happened in m_mallocfree.c.

If that doesn't help, please report this bug to: www.valgrind.org

In the bug report, send all the above text, the valgrind
version, and what OS and version you are using.  Thanks.
Comment 4 caulier.gilles 2013-10-29 17:04:19 UTC

*** This bug has been marked as a duplicate of bug 317413 ***
Comment 5 aj_ 2013-10-30 17:27:35 UTC
Created attachment 83230 [details]
New crash information added by DrKonqi

digikam (3.4.0) on KDE Platform 4.11.2 using Qt 4.8.4

I got a error which needed aditional debuging symbols this time. Therefore it seems more like the first error to me. I installed the debugging symbols and got this report. (I was tagging Faces again)

-- Backtrace (Reduced):
#8  0xb49c9aff in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#9  0xb49cd083 in __GI_abort () at abort.c:90
#10 0xb4bfb605 in __gnu_cxx::__verbose_terminate_handler () at ../../../../src/libstdc++-v3/libsupc++/vterminate.cc:95
#11 0xb4bf9273 in __cxxabiv1::__terminate (handler=0xb4bfb470 <__gnu_cxx::__verbose_terminate_handler()>) at ../../../../src/libstdc++-v3/libsupc++/eh_terminate.cc:38
#12 0xb4bf92af in std::terminate () at ../../../../src/libstdc++-v3/libsupc++/eh_terminate.cc:48
Comment 6 caulier.gilles 2019-12-23 06:21:52 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier